<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% html_title t(:label_administration), t(:label_user_settings) -%>

<%= toolbar title: t(:label_user_settings) %>

<%= styled_form_tag(admin_settings_users_path, method: :patch, class: 'admin-settings--form') do %>

  <fieldset class="form--fieldset">
    <legend class="form--fieldset-legend"><%= t(:'settings.user.default_preferences')%></legend>

    <div class="form--field" id="setting_default_language">
      <%= setting_select :default_language, all_lang_options_for_select, container_class: '-slim' %>
    </div>

    <%= render Settings::TimeZoneSettingComponent.new(
          "user_default_timezone",
          container_class: "-slim",
          title: I18n.t("tooltip_user_default_timezone")
        )
    %>

    <div class="form--field">
      <%= setting_check_box :default_auto_hide_popups, label: 'activerecord.attributes.user_preference.auto_hide_popups' %>
    </div>
  </fieldset>

  <fieldset class="form--fieldset">
    <legend class="form--fieldset-legend"><%= t(:'settings.user.display_format')%></legend>

    <div class="form--field">
      <%= setting_select :user_format, @options[:user_format], container_class: '-slim' %>
    </div>

  </fieldset>

  <fieldset class="form--fieldset">
    <legend class="form--fieldset-legend"><%= t(:'settings.user.deletion')%></legend>
    <div class="form--field">
      <%= setting_check_box :users_deletable_by_admins %>
    </div>

    <div class="form--field">
      <%= setting_check_box :users_deletable_by_self %>
    </div>
  </fieldset>

  <fieldset id="consent_settings" class="form--fieldset">
    <legend class="form--fieldset-legend"><%= I18n.t(:label_consent_settings) %></legend>

    <div class="form--field">
      <%= setting_check_box :consent_required %>
    </div>

    <%= render Settings::TextSettingComponent.new(I18n.locale, name: "consent_info") %>

    <div class="form--field">
      <%= setting_block("consent_time") do %>
        <span class="form--check-box-field-container -slim">
          <%= check_box_tag 'toggle_consent_time',
                            '1',
                            !Setting.consent_time.present?,
                            id: 'toggle_consent_time' %>
        </span>
      <% end %>
      <div class="form--field-instructions">
        <%= I18n.t('consent.text_update_consent_time') %>
        <br/>
        <strong>
          <%= I18n.t('consent.update_consent_last_time',
                     update_time: Setting.consent_time.present? ? format_time(Setting.consent_time) : t(:label_never)) %>
        </strong>
      </div>
    </div>
    <div class="form--field">
      <%= setting_text_field :consent_decline_mail, size: 6, container_class: '-middle' %>
      <span class="form--field-instructions">
        <%= t('consent.contact_mail_instructions') %>
      </span>
    </div>
  </fieldset>
  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
<% end %>
